Skip to main content
POST
/
v1
/
connections
/
{connectionId}
/
get-data
Get Data For Connection
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tableId": "<string>",
  "engagementId": "<string>",
  "limit": 1,
  "offset": 1
}
'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data"

payload = {
"tableId": "<string>",
"engagementId": "<string>",
"limit": 1,
"offset": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tableId: '<string>', engagementId: '<string>', limit: 1, offset: 1})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/connections/{connectionId}/get-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "entityId": "<string>",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionId
string
required

Body

application/json
tableId
string
required

The identifier of the table to retrieve data from.

Minimum string length: 1
engagementId
string
required

Identifies the engagement that the resulting Data Table will be associated with.

tabularSchemaHint
Tabular Schema · object

Optional schema hint describing expected column types.

filter
object

Optional filter to apply to the data retrieval.

limit
integer<int64>

Maximum number of rows to return.

Required range: x >= 0
offset
integer<int64>

Number of rows to skip before returning results.

Required range: x >= 0

Response

202 - application/json

Accepted

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string